/* gxTar - Gnomified Archive Frontend
 * Copyright (C) 1998 Chris Rogers
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option) 
 * any later version.
 *  
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA.
 */

#include "error.h"


/*OK I am tired of doing two sets of files, so error.c is just gonna do both GNOME and GTK versions */


#ifdef GNOME


void ShowError(gchar *emsg) {


  GtkWidget * dialog;
  

  dialog = gnome_message_box_new(emsg, GNOME_MESSAGE_BOX_GENERIC, 
				 GNOME_STOCK_BUTTON_OK, NULL);
  gnome_dialog_set_modal(GNOME_DIALOG(dialog));
  gtk_widget_show(dialog);
}


#else

void delete_error(GtkWidget *widget, GtkWidget *data)
{
  gtk_widget_destroy (GTK_WIDGET(data));
}


void ShowError(gchar *emsg) {

  GtkWidget *label;
  GtkWidget *button;
  GtkWidget *dialog_window;

  dialog_window = gtk_dialog_new();

  gtk_signal_connect (GTK_OBJECT (dialog_window), "destroy",
		      GTK_SIGNAL_FUNC(delete_error), dialog_window);
  
  gtk_window_set_title (GTK_WINDOW (dialog_window), "Error!");
  
  gtk_container_border_width (GTK_CONTAINER (dialog_window), 0);
  
  button = gtk_button_new_with_label ("OK");
  GTK_WIDGET_SET_FLAGS (button, GTK_CAN_DEFAULT);
  gtk_box_pack_start (GTK_BOX (GTK_DIALOG (dialog_window)->action_area), button, FALSE, FALSE, 0);

  gtk_widget_grab_default (button);
 
  gtk_signal_connect (GTK_OBJECT (button), "clicked", GTK_SIGNAL_FUNC (delete_error),  dialog_window);
  
  gtk_widget_show (button);
  
  label = gtk_label_new (emsg);
  gtk_box_pack_start (GTK_BOX (GTK_DIALOG (dialog_window)->vbox), label, FALSE, FALSE, 0);
  gtk_widget_show (label);

  
  gtk_widget_show (dialog_window);
  gtk_grab_add(dialog_window);

}

#endif
