/* gxTar - Gnomified Archive Frontend
 * Copyright (C) 1998 Chris Rogers
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option) 
 * any later version.
 *  
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
 * GNU General Public License for more details.
 *  
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
 * 02111-1307, USA.
 */

/* buttons.c - contains the code for creating buttons, and for their
callbacks */


#include "toolbar_gtk.h"




/* Button events */

void archive_open (GtkWidget *widget, gpointer *data) {
  openfileArchive();
}

void archive_close (GtkWidget *widget, gpointer *data) {
  closeArchive();
}

void archive_extract (GtkWidget *widget, gpointer *data){
  extractArchive();
}

void archive_add (GtkWidget *widget, gpointer *data){
  addArchive();
}


void createToolbar(GtkWidget *fTop)
{
  GtkWidget *bOpen;
  GtkWidget *bClose;
  GtkWidget *bExtract;
  GtkWidget *bAdd;

/*create the buttons*/
  bOpen = gtk_button_new_with_label ("Open");
  gtk_signal_connect (GTK_OBJECT (bOpen), "clicked",
		      GTK_SIGNAL_FUNC (archive_open), NULL);
  gtk_box_pack_start(GTK_BOX(fTop), bOpen, FALSE, TRUE, 0);
  gtk_widget_show(bOpen);

  bAdd = gtk_button_new_with_label ("Add");
  gtk_signal_connect (GTK_OBJECT (bAdd), "clicked",
		      GTK_SIGNAL_FUNC (archive_add),NULL );
  gtk_box_pack_start(GTK_BOX(fTop), bAdd, FALSE, TRUE, 0);
  gtk_widget_show(bAdd);

  bExtract = gtk_button_new_with_label ("Extract");
  gtk_signal_connect (GTK_OBJECT (bExtract), "clicked",
		      GTK_SIGNAL_FUNC (archive_extract), NULL);
  gtk_box_pack_start(GTK_BOX(fTop), bExtract, FALSE, TRUE, 0);
  gtk_widget_show(bExtract);

  bClose = gtk_button_new_with_label ("Close");
  gtk_signal_connect (GTK_OBJECT (bClose), "clicked",
		      GTK_SIGNAL_FUNC (archive_close),NULL );
  gtk_box_pack_start(GTK_BOX(fTop), bClose, FALSE, TRUE, 0);
  gtk_widget_show(bClose);

}
